dshould 0.1.1

D fluent asserts library


To use this package, put the following dependency into your project's dependencies section:

dub.json
dub.sdl

should

dshould is a library that implements fluent asserts using common keywords such as should, not, be, equal, greater and so on. Each sentence must begin with should.

Example:

(2 + 2).should.equal(4);

(2 + 2).should.not.equal(5);

(2 + 2).should.be.greater(3);
Authors:
  • Mathis Beer
Dependencies:
unit-threaded
Versions:
0.1.22 2019-Feb-14
0.1.21 2018-Nov-09
0.1.20 2018-Oct-10
0.1.19 2018-Oct-10
0.1.18 2018-Sep-17
Show all 28 versions
Download Stats:
  • 0 downloads today

  • 3 downloads this week

  • 15 downloads this month

  • 202 downloads total

Score:
1.9
Short URL:
dshould.dub.pm